<?php

namespace App\Console\Commands\SmartPush;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class AllPushHotBook extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'SmartPush:AllPushHotBook';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '已付费推送热门书籍';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
    	$this->all_push_hot_book();
    }

    public function all_push_hot_book(){
    	CustomMsgService::SmartPush('all_hot_push');
    }

}
